GNU bug report logs - #59340
29.0.50; Latest Emacs from master gives various native compilation errors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Akib Azmain Turja <akib@HIDDEN>; dated Thu, 17 Nov 2022 19:10:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 24 Nov 2022 18:27:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 13:27:42 2022
Received: from localhost ([127.0.0.1]:60059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyGwn-0006sa-Nf
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 13:27:42 -0500
Received: from mail-oa1-f52.google.com ([209.85.160.52]:39890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1oyGwc-0006rg-8i
 for 59340 <at> debbugs.gnu.org; Thu, 24 Nov 2022 13:27:30 -0500
Received: by mail-oa1-f52.google.com with SMTP id
 586e51a60fabf-141ca09c2fbso2762580fac.6
 for <59340 <at> debbugs.gnu.org>; Thu, 24 Nov 2022 10:27:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=4Gr/wwC5Txpsfh+XPHKBBkRxfolJr0v/ns/9HDI10UI=;
 b=ivqDlNeoUo8klYqurgWfo8z42Td8C+VOeO+1aOVfhzI0R2IVDX/h5RleIvvPK5Elne
 M6uIi9eClJIOTe+8vb3g/v3YQKkXl3TQNn5M7Erh0rLoVJkUW6o945j9XNwWN6O3FcKL
 zQGWJHZwaxe3GSzpJjRyPik2M3WOxGA0gvLmNdCq6Eamd4yD6FDBDKeoCuo6Dd3HB2Gw
 hRpkySKaeRwOIYtpQ+h3jHVOHsERkL9r5yzW7FNYuHwsea6oyc+ydnN6Z2zAvlKBUxdT
 zXtkv4bplNNVuw5GySQPP//KLgwpikUcQbuQ2NesXpiKw4+vvgavLl0c/+0BD4XzP9MI
 6zbA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=4Gr/wwC5Txpsfh+XPHKBBkRxfolJr0v/ns/9HDI10UI=;
 b=yjlrmMFqo3j61A8iQASGEyFf7NAKfCoX27BNHho//i3r5iGZbZO6AFPz5bQOS5SJhx
 HLrSovv4HykaOF9ejO5X4C5NK2bxG8RiFjIFnb5gBIRIJeB1nKnf9h7x0y0G/8fJBa+h
 2NkzUjA2wkFc2UdKGmyDx+yOr1wAHyQ17CJe5sRuEcH1O5U8gmJGs5qTGpXXZzQ082DV
 Yw/xBgYhLx5Abm9Qs8VuQ9Assd3omEAoJbc2r2RwfWMAXtsEWak/5AIRDHfVJtZ4/Elv
 BqaFyHUyJGWcZZByfN6V1olCcFHrvE3HgSwnU+WgkikU0Gvsf7eRsibh54OGVOPRKImu
 EMMA==
X-Gm-Message-State: ANoB5plpdllsaUPGfetZqvBUBKByGbiAQCZTNznkebC5Ff6GCW0kSqwJ
 f8NIjgWGAV0HF143dui/rf8xPttqibcxWS5PtMU=
X-Google-Smtp-Source: AA0mqf4ic2WZybEX9tzGGP/GAyLQlLWf7BkjXiZYIrRbO6lhIZl8zjxVJH3rBjn5GwQWNSNHjnAHaVIfyO+TenGAt7k=
X-Received: by 2002:a05:6870:cc89:b0:12b:fbe7:b793 with SMTP id
 ot9-20020a056870cc8900b0012bfbe7b793mr21284366oab.92.1669314444882; Thu, 24
 Nov 2022 10:27:24 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 24 Nov 2022 10:27:24 -0800
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87k03mylf3.fsf@HIDDEN> (Akib Azmain Turja's message of
 "Tue, 22 Nov 2022 23:00:00 +0600")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
 <87cz9kti2z.fsf@HIDDEN>
 <xjf7czsc9j8.fsf@HIDDEN> <874juvpo7f.fsf@HIDDEN>
 <87k03mylf3.fsf@HIDDEN>
X-Hashcash: 1:20:221124:akib@HIDDEN::O/B6MF1Dz59BhD8s:9FQI
MIME-Version: 1.0
Date: Thu, 24 Nov 2022 10:27:24 -0800
Message-ID: <CADwFkmkeM-ecK27sPc3EsTUdYZ10KjRcb-pjEhxAG3xOVT5g0Q@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various native
 compilation errors
To: Akib Azmain Turja <akib@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org, eliz@HIDDEN, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Akib Azmain Turja <akib@HIDDEN> writes:

>> I am sure, because instead of running emacs from my .xsession, I ran
>> xterm and ran emacs with xterm.  The result was, sometimes the Emacs
>> aborted, and sometimes segfault.
>
> I have fixed it!

Should this bug remain open?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 22 Nov 2022 17:53:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 22 12:53:13 2022
Received: from localhost ([127.0.0.1]:52490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxXSK-0003tu-QF
	for submit <at> debbugs.gnu.org; Tue, 22 Nov 2022 12:53:13 -0500
Received: from knopi.disroot.org ([178.21.23.139]:52518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akib@HIDDEN>) id 1oxXSH-0003tj-F0
 for 59340 <at> debbugs.gnu.org; Tue, 22 Nov 2022 12:53:10 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D9455413B3;
 Tue, 22 Nov 2022 18:53:07 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id kssx2tg3Ce3M; Tue, 22 Nov 2022 18:53:06 +0100 (CET)
From: Akib Azmain Turja <akib@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1669139586; bh=KujM5ya/TnMFwG6CAmWf2wpCBQwHKkflkKcL5EQYq2c=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=imyiQd0CB2syzdix9LfEn+YxKYDV/pGo4xI8QGbZbuuKyvZ9jIO/4fkL4jAzM1Rbe
 qGO8+EXooOtoRTNca/8mPxkWWiE2jtnZVYL2qqYiJx0FsvuPmcoovJCM4I6M64dYeZ
 ErbDCudGZCfsgfJ3wkLuN4UNchpzNkUIssXzhom9/x0TQ2kS77YgfmWMJmS4+dp9t4
 K7NZibu0eo/FNdikh8VKhtq8MpLVGP3y+hGtGSjnZ48ucqaZfYA9nCGiYEgHyxU22Y
 C5n1/0KYA2bQ2YuUbFv3tI6uHfnEXhhteQeGCqSu4xlqT/7xdL9nK18zwM2lTOiGim
 /9ySoMRUereuw==
To: Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <874juvpo7f.fsf@HIDDEN> (Akib Azmain Turja via's message of
 "Sat, 19 Nov 2022 10:23:16 +0600")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
 <87cz9kti2z.fsf@HIDDEN> <xjf7czsc9j8.fsf@HIDDEN>
 <874juvpo7f.fsf@HIDDEN>
Date: Tue, 22 Nov 2022 23:00:00 +0600
Message-ID: <87k03mylf3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org, eliz@HIDDEN, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <bug-gnu-emacs@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
>> of text editors" <bug-gnu-emacs@HIDDEN> writes:
>>
>>> --=3D-=3D-=3D
>>> Content-Type: text/plain
>>> Content-Transfer-Encoding: quoted-printable
>>>
>>> Eli Zaretskii <eliz@HIDDEN> writes:
>>>
>>>>> From: Akib Azmain Turja <akib@HIDDEN>
>>>>> Cc: 59340 <at> debbugs.gnu.org
>>>>> Date: Fri, 18 Nov 2022 17:39:11 +0600
>>>>>=3D20
>>>>> > Does this happen _after_ you build Emacs?  That is, you are saying
>>>>> > that the *.eln files produced as part of the Emacs build were compi=
led
>>>>> > successfully, but when you then start the Emacs you built, it is
>>>>> > unable to perform any native compilation?
>>>>>=3D20
>>>>> Yes, Emacs builds fine.  The problem occurs at runtime.
>>>>
>>>> That is very strange, because we invoke libgccjit and Binutils during
>>>> the build the same we do at run time.  Is this in "emacs -Q"?  If not,
>>>> perhaps some of your customizations prevent Emacs from finding and/or
>>>> invoking the JIT compiler?
>>>
>>> I think this is not an Emacs bug really.  The Guix recipe I'm using
>>> has some big problems (according to Guix philosophy), and probably does
>>> some (black) magic that causes the build and run-time environment to be
>>> different, thus the error.
>>>
>>> However, why the crash?  Is it somehow because the old eln get loaded?
>>
>> Are you sure Emacs is crashing?  That would be surprising to me, maybe
>> is because of something with EXWM that gets stuck for some other reason?
>>
>>   Andrea
>
> I am sure, because instead of running emacs from my .xsession, I ran
> xterm and ran emacs with xterm.  The result was, sometimes the Emacs
> aborted, and sometimes segfault.

I have fixed it!

=2D-=20
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: akib@HIDDEN
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEyVTKmrtL6kNBe3FRVTX89U2IYWsFAmN9ABAACgkQVTX89U2I
YWsJHw/6AxjUHjXJDw57OsvBKw9/CQLaVFmx4/7GuXnQ6mr140Wvw/H0Fug6xd9L
vMjTz3LncKjL23oMmsaz8PnbqLv7NVkfuqcIi9UOy4OZefv1GjpUE/CrgaHlQlqJ
JpqyHPz838e7LnZ+xG05aedpvR4mmWYVvQNFc8jPna7iu5rnTNhpTq8MyXbGgUIh
CMT1SJ3XRqwJpt5Mg78osZwQLYoKnl5mRrXYr88OmEfe7SZE1pM2NjDCLUDRVttV
4DKJ/mgbPQciJHoQR0FUwcPiCJ+giQ773v+YDz9D/XyIS5igawGSEWHIZr480BvB
RWtsjaGh9XTa+FRaiZb3wx1VU9+XcIMmLhGNchBp7c+SGTeFzbfvGXOrED49ljQ1
hwABM9wTNL890iBiZ0ofKjClksTi9TrC4Zzi6SlcF3MejKQNDkm3X0vCUEXT+TIb
83CyeMkTrmZsNRO12f7D8lllaUfPUqFbIZRlYD+itm4XGefT19rP9BAWW9SHzWuQ
sVl7SZzW+GjmOQmnylfNj4RL4E9pKiA+oasqMMAb55oCxGW9AmGljjVVXkNFG4Kq
jm6JKbSBV/erMnowPUiQWjmJbx0LucCLwXs6lHyzx0DfbimTzHUtOqS1xRHZZdFq
6XGcAQL9ztwweuq8RZe7KIkvKuXokUe7CU1U/RFCkWL1Rf5mXHc=
=5h9+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Nov 2022 17:53:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 22 12:53:19 2022
Received: from localhost ([127.0.0.1]:52492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxXSQ-0003uE-Dc
	for submit <at> debbugs.gnu.org; Tue, 22 Nov 2022 12:53:18 -0500
Received: from lists.gnu.org ([209.51.188.17]:49070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akib@HIDDEN>) id 1oxXSK-0003tt-Fc
 for submit <at> debbugs.gnu.org; Tue, 22 Nov 2022 12:53:12 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akib@HIDDEN>) id 1oxXSK-0002gy-A0
 for bug-gnu-emacs@HIDDEN; Tue, 22 Nov 2022 12:53:12 -0500
Received: from knopi.disroot.org ([178.21.23.139])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akib@HIDDEN>)
 id 1oxXSI-00019B-BN; Tue, 22 Nov 2022 12:53:12 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D9455413B3;
 Tue, 22 Nov 2022 18:53:07 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id kssx2tg3Ce3M; Tue, 22 Nov 2022 18:53:06 +0100 (CET)
From: Akib Azmain Turja <akib@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1669139586; bh=KujM5ya/TnMFwG6CAmWf2wpCBQwHKkflkKcL5EQYq2c=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=imyiQd0CB2syzdix9LfEn+YxKYDV/pGo4xI8QGbZbuuKyvZ9jIO/4fkL4jAzM1Rbe
 qGO8+EXooOtoRTNca/8mPxkWWiE2jtnZVYL2qqYiJx0FsvuPmcoovJCM4I6M64dYeZ
 ErbDCudGZCfsgfJ3wkLuN4UNchpzNkUIssXzhom9/x0TQ2kS77YgfmWMJmS4+dp9t4
 K7NZibu0eo/FNdikh8VKhtq8MpLVGP3y+hGtGSjnZ48ucqaZfYA9nCGiYEgHyxU22Y
 C5n1/0KYA2bQ2YuUbFv3tI6uHfnEXhhteQeGCqSu4xlqT/7xdL9nK18zwM2lTOiGim
 /9ySoMRUereuw==
To: Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <874juvpo7f.fsf@HIDDEN> (Akib Azmain Turja via's message of
 "Sat, 19 Nov 2022 10:23:16 +0600")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
 <87cz9kti2z.fsf@HIDDEN> <xjf7czsc9j8.fsf@HIDDEN>
 <874juvpo7f.fsf@HIDDEN>
Date: Tue, 22 Nov 2022 23:00:00 +0600
Message-ID: <87k03mylf3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=178.21.23.139; envelope-from=akib@HIDDEN;
 helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 59340 <at> debbugs.gnu.org, eliz@HIDDEN, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <bug-gnu-emacs@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
>> of text editors" <bug-gnu-emacs@HIDDEN> writes:
>>
>>> --=3D-=3D-=3D
>>> Content-Type: text/plain
>>> Content-Transfer-Encoding: quoted-printable
>>>
>>> Eli Zaretskii <eliz@HIDDEN> writes:
>>>
>>>>> From: Akib Azmain Turja <akib@HIDDEN>
>>>>> Cc: 59340 <at> debbugs.gnu.org
>>>>> Date: Fri, 18 Nov 2022 17:39:11 +0600
>>>>>=3D20
>>>>> > Does this happen _after_ you build Emacs?  That is, you are saying
>>>>> > that the *.eln files produced as part of the Emacs build were compi=
led
>>>>> > successfully, but when you then start the Emacs you built, it is
>>>>> > unable to perform any native compilation?
>>>>>=3D20
>>>>> Yes, Emacs builds fine.  The problem occurs at runtime.
>>>>
>>>> That is very strange, because we invoke libgccjit and Binutils during
>>>> the build the same we do at run time.  Is this in "emacs -Q"?  If not,
>>>> perhaps some of your customizations prevent Emacs from finding and/or
>>>> invoking the JIT compiler?
>>>
>>> I think this is not an Emacs bug really.  The Guix recipe I'm using
>>> has some big problems (according to Guix philosophy), and probably does
>>> some (black) magic that causes the build and run-time environment to be
>>> different, thus the error.
>>>
>>> However, why the crash?  Is it somehow because the old eln get loaded?
>>
>> Are you sure Emacs is crashing?  That would be surprising to me, maybe
>> is because of something with EXWM that gets stuck for some other reason?
>>
>>   Andrea
>
> I am sure, because instead of running emacs from my .xsession, I ran
> xterm and ran emacs with xterm.  The result was, sometimes the Emacs
> aborted, and sometimes segfault.

I have fixed it!

=2D-=20
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: akib@HIDDEN
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEyVTKmrtL6kNBe3FRVTX89U2IYWsFAmN9ABAACgkQVTX89U2I
YWsJHw/6AxjUHjXJDw57OsvBKw9/CQLaVFmx4/7GuXnQ6mr140Wvw/H0Fug6xd9L
vMjTz3LncKjL23oMmsaz8PnbqLv7NVkfuqcIi9UOy4OZefv1GjpUE/CrgaHlQlqJ
JpqyHPz838e7LnZ+xG05aedpvR4mmWYVvQNFc8jPna7iu5rnTNhpTq8MyXbGgUIh
CMT1SJ3XRqwJpt5Mg78osZwQLYoKnl5mRrXYr88OmEfe7SZE1pM2NjDCLUDRVttV
4DKJ/mgbPQciJHoQR0FUwcPiCJ+giQ773v+YDz9D/XyIS5igawGSEWHIZr480BvB
RWtsjaGh9XTa+FRaiZb3wx1VU9+XcIMmLhGNchBp7c+SGTeFzbfvGXOrED49ljQ1
hwABM9wTNL890iBiZ0ofKjClksTi9TrC4Zzi6SlcF3MejKQNDkm3X0vCUEXT+TIb
83CyeMkTrmZsNRO12f7D8lllaUfPUqFbIZRlYD+itm4XGefT19rP9BAWW9SHzWuQ
sVl7SZzW+GjmOQmnylfNj4RL4E9pKiA+oasqMMAb55oCxGW9AmGljjVVXkNFG4Kq
jm6JKbSBV/erMnowPUiQWjmJbx0LucCLwXs6lHyzx0DfbimTzHUtOqS1xRHZZdFq
6XGcAQL9ztwweuq8RZe7KIkvKuXokUe7CU1U/RFCkWL1Rf5mXHc=
=5h9+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 22 Nov 2022 15:21:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 22 10:21:11 2022
Received: from localhost ([127.0.0.1]:52271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxV5D-00041H-92
	for submit <at> debbugs.gnu.org; Tue, 22 Nov 2022 10:21:11 -0500
Received: from knopi.disroot.org ([178.21.23.139]:37744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akib@HIDDEN>) id 1oxV58-000415-Tw
 for 59340 <at> debbugs.gnu.org; Tue, 22 Nov 2022 10:21:10 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id C249E413A3;
 Tue, 22 Nov 2022 16:21:05 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id gq7qEHgrLiAy; Tue, 22 Nov 2022 16:21:04 +0100 (CET)
From: Akib Azmain Turja <akib@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1669130464; bh=7w4Hscv1QTVoqOB5b60SCXhTmtL05MHkacazDIsKz5A=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=AMGepWzDK2qUQBhzwD0UmiUU84pDN3wcXMtHLWb/8XuLYq2UhgQiDqczJwXeEVeE3
 3mEkBoZS9m0PffYjKoTCSV1bBnOJ67YmGXAn/t7B281bMwVHc2vSiHZHM/8ectt+em
 tJBCCgbU92Nk2vIWrCWbnXRu54FXNST18bZVLjGNNCuDFrxzmwM2LC1gRW3anfPK7h
 skmUNr+UxEIo2mIKjscvoP3TRpR8f9lxqskdwrI0VYcLX5Njr4HcWcrZFXg8BacPGK
 N+132zLCYNE6g3DpjWgTmVzQ7PgQBHlI2Ku/qESm/LsCOxSgvilQ7sIrYs2wV/5h8A
 58kNQmzZnWx+A==
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <xjf7czsc9j8.fsf@HIDDEN> (Andrea Corallo's message of "Fri,
 18 Nov 2022 20:06:19 +0000")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
 <87cz9kti2z.fsf@HIDDEN> <xjf7czsc9j8.fsf@HIDDEN>
Date: Sat, 19 Nov 2022 10:23:16 +0600
Message-ID: <874juvpo7f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org, "Akib Azmain Turja via Bug reports for GNU Emacs,
 the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Andrea Corallo <akrl@HIDDEN> writes:

> Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
> of text editors" <bug-gnu-emacs@HIDDEN> writes:
>
>> --=3D-=3D-=3D
>> Content-Type: text/plain
>> Content-Transfer-Encoding: quoted-printable
>>
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>>>> From: Akib Azmain Turja <akib@HIDDEN>
>>>> Cc: 59340 <at> debbugs.gnu.org
>>>> Date: Fri, 18 Nov 2022 17:39:11 +0600
>>>>=3D20
>>>> > Does this happen _after_ you build Emacs?  That is, you are saying
>>>> > that the *.eln files produced as part of the Emacs build were compil=
ed
>>>> > successfully, but when you then start the Emacs you built, it is
>>>> > unable to perform any native compilation?
>>>>=3D20
>>>> Yes, Emacs builds fine.  The problem occurs at runtime.
>>>
>>> That is very strange, because we invoke libgccjit and Binutils during
>>> the build the same we do at run time.  Is this in "emacs -Q"?  If not,
>>> perhaps some of your customizations prevent Emacs from finding and/or
>>> invoking the JIT compiler?
>>
>> I think this is not an Emacs bug really.  The Guix recipe I'm using
>> has some big problems (according to Guix philosophy), and probably does
>> some (black) magic that causes the build and run-time environment to be
>> different, thus the error.
>>
>> However, why the crash?  Is it somehow because the old eln get loaded?
>
> Are you sure Emacs is crashing?  That would be surprising to me, maybe
> is because of something with EXWM that gets stuck for some other reason?
>
>   Andrea

I am sure, because instead of running emacs from my .xsession, I ran
xterm and ran emacs with xterm.  The result was, sometimes the Emacs
aborted, and sometimes segfault.

=2D-=20
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: akib@HIDDEN
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEyVTKmrtL6kNBe3FRVTX89U2IYWsFAmN4WjQACgkQVTX89U2I
YWsacQ//f7lGAcTrq6HkzTV6+xfbcvspWUEn1b7zZmOn/WAtrZ1TOQUWa3ZKdOej
gI4JxpU2Uom4GGIsS6sqcMslp4oYkFjx2Qn7Sw9ZZxLL2gtT7CGe1iQrRlTliyYx
UDfSAI3sEt2K3WCawDhqZdk81qEu+Jdh2VmYNSXuZNaeczkCOxqbPT3P1BsxQTW4
wXZs7w1iT669K1pd0S6X4myOEpdZqQiFZHtRdgpJHytzs+eT8IP7K1rNK8CYZwzu
7yckIZ5GUoQsEhHBh+kSdlZ7Kf690Z2J7zAOD7WoSmSkptdz6MI60fxQa27W7gi4
3HKqv/D2olZml4tMoLgPOe6bggU53eTo0VXWU+VerOn3rlfsCyTy3xrBbqtCGt0z
o8bNFN6PqjlQsXMDiytqY/YTNoKNKh4qETN1Vd2xUPIXi2UB08m7IWJDiPWQ9jLO
9yGoEkYSh236SmdFQGxHBy2hf+bSQvPR0JYJ/bEp83pcdh2wZUZYS+wNOpu8AwIL
Ucmv6IbXpw/rQB6Oiblq9ZYoXIQGDrDOgPUpGuXuDVtELrh0HtzN4hicWWJm2tA8
nyln+Dj4xGTLVi1ptgt+kuI5a2nTIJdEeYijkw7qvcpZG8sJjSXkcac6mDJCEjF+
KA6pHNqVe2sOC3UdizX/WGmoChJqAtDkYarXrV2iPsceIROMf7Q=
=acHa
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Nov 2022 15:21:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 22 10:21:27 2022
Received: from localhost ([127.0.0.1]:52281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxV5S-000424-ME
	for submit <at> debbugs.gnu.org; Tue, 22 Nov 2022 10:21:27 -0500
Received: from lists.gnu.org ([209.51.188.17]:57350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akib@HIDDEN>) id 1oxV5L-00041o-IE
 for submit <at> debbugs.gnu.org; Tue, 22 Nov 2022 10:21:19 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akib@HIDDEN>) id 1oxV5L-0007NV-Bz
 for bug-gnu-emacs@HIDDEN; Tue, 22 Nov 2022 10:21:19 -0500
Received: from knopi.disroot.org ([178.21.23.139])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akib@HIDDEN>)
 id 1oxV5C-0004rf-1l; Tue, 22 Nov 2022 10:21:16 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id C249E413A3;
 Tue, 22 Nov 2022 16:21:05 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id gq7qEHgrLiAy; Tue, 22 Nov 2022 16:21:04 +0100 (CET)
From: Akib Azmain Turja <akib@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1669130464; bh=7w4Hscv1QTVoqOB5b60SCXhTmtL05MHkacazDIsKz5A=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=AMGepWzDK2qUQBhzwD0UmiUU84pDN3wcXMtHLWb/8XuLYq2UhgQiDqczJwXeEVeE3
 3mEkBoZS9m0PffYjKoTCSV1bBnOJ67YmGXAn/t7B281bMwVHc2vSiHZHM/8ectt+em
 tJBCCgbU92Nk2vIWrCWbnXRu54FXNST18bZVLjGNNCuDFrxzmwM2LC1gRW3anfPK7h
 skmUNr+UxEIo2mIKjscvoP3TRpR8f9lxqskdwrI0VYcLX5Njr4HcWcrZFXg8BacPGK
 N+132zLCYNE6g3DpjWgTmVzQ7PgQBHlI2Ku/qESm/LsCOxSgvilQ7sIrYs2wV/5h8A
 58kNQmzZnWx+A==
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <xjf7czsc9j8.fsf@HIDDEN> (Andrea Corallo's message of "Fri,
 18 Nov 2022 20:06:19 +0000")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
 <87cz9kti2z.fsf@HIDDEN> <xjf7czsc9j8.fsf@HIDDEN>
Date: Sat, 19 Nov 2022 10:23:16 +0600
Message-ID: <874juvpo7f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=178.21.23.139; envelope-from=akib@HIDDEN;
 helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 59340 <at> debbugs.gnu.org, "Akib Azmain Turja via Bug reports for GNU Emacs,
 the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Andrea Corallo <akrl@HIDDEN> writes:

> Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
> of text editors" <bug-gnu-emacs@HIDDEN> writes:
>
>> --=3D-=3D-=3D
>> Content-Type: text/plain
>> Content-Transfer-Encoding: quoted-printable
>>
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>>>> From: Akib Azmain Turja <akib@HIDDEN>
>>>> Cc: 59340 <at> debbugs.gnu.org
>>>> Date: Fri, 18 Nov 2022 17:39:11 +0600
>>>>=3D20
>>>> > Does this happen _after_ you build Emacs?  That is, you are saying
>>>> > that the *.eln files produced as part of the Emacs build were compil=
ed
>>>> > successfully, but when you then start the Emacs you built, it is
>>>> > unable to perform any native compilation?
>>>>=3D20
>>>> Yes, Emacs builds fine.  The problem occurs at runtime.
>>>
>>> That is very strange, because we invoke libgccjit and Binutils during
>>> the build the same we do at run time.  Is this in "emacs -Q"?  If not,
>>> perhaps some of your customizations prevent Emacs from finding and/or
>>> invoking the JIT compiler?
>>
>> I think this is not an Emacs bug really.  The Guix recipe I'm using
>> has some big problems (according to Guix philosophy), and probably does
>> some (black) magic that causes the build and run-time environment to be
>> different, thus the error.
>>
>> However, why the crash?  Is it somehow because the old eln get loaded?
>
> Are you sure Emacs is crashing?  That would be surprising to me, maybe
> is because of something with EXWM that gets stuck for some other reason?
>
>   Andrea

I am sure, because instead of running emacs from my .xsession, I ran
xterm and ran emacs with xterm.  The result was, sometimes the Emacs
aborted, and sometimes segfault.

=2D-=20
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: akib@HIDDEN
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEyVTKmrtL6kNBe3FRVTX89U2IYWsFAmN4WjQACgkQVTX89U2I
YWsacQ//f7lGAcTrq6HkzTV6+xfbcvspWUEn1b7zZmOn/WAtrZ1TOQUWa3ZKdOej
gI4JxpU2Uom4GGIsS6sqcMslp4oYkFjx2Qn7Sw9ZZxLL2gtT7CGe1iQrRlTliyYx
UDfSAI3sEt2K3WCawDhqZdk81qEu+Jdh2VmYNSXuZNaeczkCOxqbPT3P1BsxQTW4
wXZs7w1iT669K1pd0S6X4myOEpdZqQiFZHtRdgpJHytzs+eT8IP7K1rNK8CYZwzu
7yckIZ5GUoQsEhHBh+kSdlZ7Kf690Z2J7zAOD7WoSmSkptdz6MI60fxQa27W7gi4
3HKqv/D2olZml4tMoLgPOe6bggU53eTo0VXWU+VerOn3rlfsCyTy3xrBbqtCGt0z
o8bNFN6PqjlQsXMDiytqY/YTNoKNKh4qETN1Vd2xUPIXi2UB08m7IWJDiPWQ9jLO
9yGoEkYSh236SmdFQGxHBy2hf+bSQvPR0JYJ/bEp83pcdh2wZUZYS+wNOpu8AwIL
Ucmv6IbXpw/rQB6Oiblq9ZYoXIQGDrDOgPUpGuXuDVtELrh0HtzN4hicWWJm2tA8
nyln+Dj4xGTLVi1ptgt+kuI5a2nTIJdEeYijkw7qvcpZG8sJjSXkcac6mDJCEjF+
KA6pHNqVe2sOC3UdizX/WGmoChJqAtDkYarXrV2iPsceIROMf7Q=
=acHa
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 18 Nov 2022 20:06:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 15:06:24 2022
Received: from localhost ([127.0.0.1]:38364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow7d2-0006HX-70
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 15:06:24 -0500
Received: from mx.sdf.org ([205.166.94.24]:64407)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1ow7cy-0006HN-Vx
 for 59340 <at> debbugs.gnu.org; Fri, 18 Nov 2022 15:06:22 -0500
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 2AIK6JZ7001920
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Fri, 18 Nov 2022 20:06:20 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <87cz9kti2z.fsf@HIDDEN> (Akib Azmain Turja via's message of
 "Fri, 18 Nov 2022 21:09:40 +0600")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
 <87cz9kti2z.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 20:06:19 +0000
Message-ID: <xjf7czsc9j8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Akib Azmain Turja <akib@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <bug-gnu-emacs@HIDDEN> writes:

> --=-=-=
> Content-Type: text/plain
> Content-Transfer-Encoding: quoted-printable
>
> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> From: Akib Azmain Turja <akib@HIDDEN>
>>> Cc: 59340 <at> debbugs.gnu.org
>>> Date: Fri, 18 Nov 2022 17:39:11 +0600
>>>=20
>>> > Does this happen _after_ you build Emacs?  That is, you are saying
>>> > that the *.eln files produced as part of the Emacs build were compiled
>>> > successfully, but when you then start the Emacs you built, it is
>>> > unable to perform any native compilation?
>>>=20
>>> Yes, Emacs builds fine.  The problem occurs at runtime.
>>
>> That is very strange, because we invoke libgccjit and Binutils during
>> the build the same we do at run time.  Is this in "emacs -Q"?  If not,
>> perhaps some of your customizations prevent Emacs from finding and/or
>> invoking the JIT compiler?
>
> I think this is not an Emacs bug really.  The Guix recipe I'm using
> has some big problems (according to Guix philosophy), and probably does
> some (black) magic that causes the build and run-time environment to be
> different, thus the error.
>
> However, why the crash?  Is it somehow because the old eln get loaded?

Are you sure Emacs is crashing?  That would be surprising to me, maybe
is because of something with EXWM that gets stuck for some other reason?

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Nov 2022 20:06:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 15:06:32 2022
Received: from localhost ([127.0.0.1]:38367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow7d9-0006Hs-Ut
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 15:06:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:41850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1ow7d8-0006Hk-Lx
 for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 15:06:31 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1ow7d7-0001dM-ID
 for bug-gnu-emacs@HIDDEN; Fri, 18 Nov 2022 15:06:29 -0500
Received: from mx.sdf.org ([205.166.94.24])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>)
 id 1ow7d5-0007b5-Jb; Fri, 18 Nov 2022 15:06:29 -0500
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 2AIK6JZ7001920
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Fri, 18 Nov 2022 20:06:20 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <87cz9kti2z.fsf@HIDDEN> (Akib Azmain Turja via's message of
 "Fri, 18 Nov 2022 21:09:40 +0600")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
 <87cz9kti2z.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 20:06:19 +0000
Message-ID: <xjf7czsc9j8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 59340 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Akib Azmain Turja <akib@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <bug-gnu-emacs@HIDDEN> writes:

> --=-=-=
> Content-Type: text/plain
> Content-Transfer-Encoding: quoted-printable
>
> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> From: Akib Azmain Turja <akib@HIDDEN>
>>> Cc: 59340 <at> debbugs.gnu.org
>>> Date: Fri, 18 Nov 2022 17:39:11 +0600
>>>=20
>>> > Does this happen _after_ you build Emacs?  That is, you are saying
>>> > that the *.eln files produced as part of the Emacs build were compiled
>>> > successfully, but when you then start the Emacs you built, it is
>>> > unable to perform any native compilation?
>>>=20
>>> Yes, Emacs builds fine.  The problem occurs at runtime.
>>
>> That is very strange, because we invoke libgccjit and Binutils during
>> the build the same we do at run time.  Is this in "emacs -Q"?  If not,
>> perhaps some of your customizations prevent Emacs from finding and/or
>> invoking the JIT compiler?
>
> I think this is not an Emacs bug really.  The Guix recipe I'm using
> has some big problems (according to Guix philosophy), and probably does
> some (black) magic that causes the build and run-time environment to be
> different, thus the error.
>
> However, why the crash?  Is it somehow because the old eln get loaded?

Are you sure Emacs is crashing?  That would be surprising to me, maybe
is because of something with EXWM that gets stuck for some other reason?

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 18 Nov 2022 16:56:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 11:56:44 2022
Received: from localhost ([127.0.0.1]:38115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow4fU-0001Me-ER
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 11:56:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow4fS-0001MS-A6
 for 59340 <at> debbugs.gnu.org; Fri, 18 Nov 2022 11:56:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow4fN-0003z6-3N; Fri, 18 Nov 2022 11:56:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=4iK4lj1iYIE0FMVuSzKTT4I/zE1J31BnQJXK+lMtvS8=; b=SkkZqMHiGGQE
 aKkMl7cxpgwOZ6jtptcxdYW8NbTY9p/hZKxnt/cNqMwSBzwbtCcU6APqKWbMY+2hedkS0hmVqoG3/
 b7L4t5zOhi7Em6dfjAnsL4jjXF/46zElEGFQQ1L/x0GiHcJbcdjnnY71nKkELfs/PGbtCuE3r+wpG
 BjJYB36GexV186tUtOBZoAQntVGKac6d8dTMww5iSy9ffxjFXrocnM32PF3I3YaWQ7jKhHtO5SFNn
 wSKISC87Zrm+CRl+ivYfvvWeXQHlgTm1kPZhXPr5cwfN1UYw+74jztTYQR1JO2h76DbvSjsWhzdZ8
 0jjFRkCs6qFvbrHyzR08Qg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow4fM-0005lv-07; Fri, 18 Nov 2022 11:56:36 -0500
Date: Fri, 18 Nov 2022 18:56:39 +0200
Message-Id: <83o7t49p6g.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Akib Azmain Turja <akib@HIDDEN>
In-Reply-To: <87cz9kti2z.fsf@HIDDEN> (message from Akib Azmain Turja on
 Fri, 18 Nov 2022 21:09:40 +0600)
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
 <87cz9kti2z.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Akib Azmain Turja <akib@HIDDEN>
> Cc: 59340 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 21:09:40 +0600
> 
> However, why the crash?  Is it somehow because the old eln get loaded?

To answer that, I'd need to see a backtrace from the crash.  Run Emacs
under GDB and produce the backtrace when Emacs crashes, then post it
here.  (I hope your Emacs is not stripped of debug symbols, otherwise
the backtrace will not be useful.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 18 Nov 2022 16:29:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 11:29:07 2022
Received: from localhost ([127.0.0.1]:38065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow4El-0000d7-KN
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 11:29:07 -0500
Received: from mail-wm1-f48.google.com ([209.85.128.48]:53228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ow4Ei-0000cT-UR
 for 59340 <at> debbugs.gnu.org; Fri, 18 Nov 2022 11:29:06 -0500
Received: by mail-wm1-f48.google.com with SMTP id o30so3971973wms.2
 for <59340 <at> debbugs.gnu.org>; Fri, 18 Nov 2022 08:29:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=6VP8o6XXjRRmAtFOX8eQGNcku6gr6o/SB4fb/HfAjBQ=;
 b=D2EvDha7PM6J1IhylkbXcJOrDcSHw5pSpXtJ/0/A+l1CRUn/7kzaALmOTgu3L0vYtv
 vw24vaignqiDalTM9/o1ePVNKLRWLY32zou+14Nsk9SoS4t+NrZWxxYlWxUwLQ7r3wvE
 8fnMhzAD5M3wObF0emESqHSvODVJBaMl2oCktdyhYVpdKZPZ328zYG8XZOTqkT1cxNvo
 0nNQzUA/JpoxUnhHc8N+AD7bP9RhoaJmDvYNWSPL7mo+S1HvrRY5rIz34I2LHFBYId7U
 XObBWnOjESkrKs1Aoo7x68Q0phCHlbsXyu3SCXoBLUK5njWPnnVozYZX5OISvCU9uehA
 lj1g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=6VP8o6XXjRRmAtFOX8eQGNcku6gr6o/SB4fb/HfAjBQ=;
 b=coYhQQi35D8tN4MtRhOokNe1/Jo0SPozuCN3Qqkpb/tz0cb1EaIzkXNVS0AfiZs1rV
 XdCRuQtf+xsRvKnu0FHq1oqsOZh5NBWSfOPnpIzdHCB2vk8fUforxDHsdmRz8+Ta3n75
 FRKfGM5HZ/y/4+PEVrakZHob99hLGRi0DJScFN3OSGJ3eVnsBzvWVnvQHLK/dUqe/RYo
 CnJBpSJvp+5ivUsoc+J2DJPX4oYDBWDugV1oS0gPfe/C8ig0eZ7azo8f32l1iQIrx4K1
 iUpI+mVel1ldVWeT6jc98fVwcRlK7ZDMhbBRrUyb02Gina5WhV0dKtDmPRG9Nv79zxli
 GIdQ==
X-Gm-Message-State: ANoB5pngyLJDo6o8WALuyi1KJJiv4TZ0dBhUcxfGOxkfQUUqzW+GJL0s
 GoUH7wqWZeKVtDos5L3XVGlmgwZtmJc=
X-Google-Smtp-Source: AA0mqf5QAO5J3ggrNl6MK6aQzDoFPUb+InVxipGnaiH2QReTPYFBnTIpAQ3rA7j6IL5viEaHqM/sSg==
X-Received: by 2002:a05:600c:d7:b0:3cf:c95e:450f with SMTP id
 u23-20020a05600c00d700b003cfc95e450fmr5349576wmm.17.1668788938748; 
 Fri, 18 Nov 2022 08:28:58 -0800 (PST)
Received: from rltb ([82.66.8.55]) by smtp.gmail.com with ESMTPSA id
 g18-20020a5d5412000000b00241bd7a7165sm2860227wrv.82.2022.11.18.08.28.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 18 Nov 2022 08:28:57 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Akib Azmain Turja <akib@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <87pmdks3e8.fsf@HIDDEN> (Akib Azmain Turja via's message of
 "Fri, 18 Nov 2022 21:12:15 +0600")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
 <87cz9kti2z.fsf@HIDDEN> <87pmdks3e8.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 17:28:57 +0100
Message-ID: <87cz9kql9y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59340
Cc: Eli Zaretskii <eliz@HIDDEN>, 59340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 18 Nov 2022 21:12:15 +0600, Akib Azmain Turja via "Bug report=
s for GNU Emacs, the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN=
rg> said:

    Akib> close 59340
    Akib> Was the ticket closed?

Doesn=CA=BCt look like it. You need

1. BCC: control <at> debbugs.gnu.org
2. Something like the following at the start of your message

close 59340 29.1
quit

(I don=CA=BCt remember offhand is the release is mandatory. see admin/notes=
/bugtracker)

You could stick in

tags 59340 notabug

as well, if that=CA=BCs appropriate.

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 18 Nov 2022 15:35:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 10:35:27 2022
Received: from localhost ([127.0.0.1]:37998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow3Oo-0003Jr-VG
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:35:27 -0500
Received: from knopi.disroot.org ([178.21.23.139]:53972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akib@HIDDEN>) id 1ow3Ok-0003JY-F7
 for 59340 <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:35:26 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id CB0F640DE1;
 Fri, 18 Nov 2022 16:35:21 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id qRv0sBMoBc92; Fri, 18 Nov 2022 16:35:20 +0100 (CET)
From: Akib Azmain Turja <akib@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1668785720; bh=jyKWEQOs3Y90aNwiYqsxme6ZT99oTpTmVmp7e16dCqs=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=hpF/oJ0LQOWYfHodGrHbGOirLr6IciaScId+U1q7nGwR88Uzl6v/wjCi7q9xeZtF1
 GQWvxuLjgb+T/rwa5hfgiCGfMZoEyoZtVO49QIam48Dj/gTkTixSyVrSloOQqg8sW1
 nVDm16a/6SZcugtQQUbnQBZ+/JM5z1aa3T3GWousLPkaDOADvIW6RJK6xZ0LVoYPPH
 cd9trMGpwwTgOcc+aTglyP6PpBynadCzpDCnENlApjnBnj0YQ1BXdK3hy9kD2AyJiX
 kz3xZgF/e9gcTFdBUDxr5qf3Yg/PxyA/DRMJHg9FhDyr9iv2lY7OxTJRLFZmD4KPbt
 vIEW0CaW5cTlg==
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <87cz9kti2z.fsf@HIDDEN> (Akib Azmain Turja's message of
 "Fri, 18 Nov 2022 21:09:40 +0600")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
 <87cz9kti2z.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 21:12:15 +0600
Message-ID: <87pmdks3e8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

close 59340

Was the ticket closed?

=2D-=20
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: akib@HIDDEN
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEyVTKmrtL6kNBe3FRVTX89U2IYWsFAmN3oM8ACgkQVTX89U2I
YWuzgxAAobBV/4Mah0ixILT1FbvgaRv6q6d9Ergg/lIKgRAN2Ae1f+lHAnMPISz5
cA1mGj5+EkX90cYsEPG6y8oENDt3Ux/lFLG8jUG8ARei7VDWZXBIT86YD84NR95l
Z7ti24ybeAGeWDtlCPef4qjGQ+p2fOxYY2rXUCdjY/2qOBBte57pzQy9gyMdBl0v
GbYEyLnABTkNtF9Pt62rr/tpChA8PDj/Cjw18b5NLdXiZd/rBgOXG7gsV3cARRn9
KTOTzIas8/S3CIrXVL1FrqWeC1O3HlWVay8y6SkdE1TIVee8rMmDJRadOfCiJ0bE
iE0ktVBiXqmuukP/rlrmx1FtjodgS5IB0fmJYW3fspB7jjUy1m3e8BAsuoHASHET
cn6ex4e3q8BbOf5rwLC5fywEHMPTjIoRtdwhZjnPLsGY4x6k52EvGCAkSkVZh0yF
EbVWWYdwh051f7EZAON4MpS6LRNpvJUaQzCNffhoNyTzQoSukjchbwz1vu3FXJK8
Uiv3jzBtWWUSLwHH12UYWatrwwc24dU8AMpsHobjkwBU8UR8PAioyYZHJz6wNN1v
Kp0s30haAs0JKaRLNOaWU6NcL141+UVNJBvRWJutehu9/j7UO21FrIYfemFNhQFP
GmrmeKCcpb2stI4lNZ3Axbq2VTSDWanplzTXO2SFnEf7n0eJg7E=
=jG/d
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 18 Nov 2022 15:35:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 10:35:25 2022
Received: from localhost ([127.0.0.1]:37995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow3Ok-0003JZ-E8
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:35:25 -0500
Received: from knopi.disroot.org ([178.21.23.139]:52476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akib@HIDDEN>) id 1ow3Oe-0003JH-1O
 for 59340 <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:35:20 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 87DC1400FC;
 Fri, 18 Nov 2022 16:35:14 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id YFqbXHeKyb3O; Fri, 18 Nov 2022 16:35:13 +0100 (CET)
From: Akib Azmain Turja <akib@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1668785713; bh=IWqjJOR7yPkusgB2Z9TbslD0hdxKeVN0aL6UMIVYTVI=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=YM6HGnU1fhe0cUnqk4As4gMmqPzAmCTkaJXyrtHQ5H2w/F7mqJ0/jZS4F26YDYDq9
 yoksgEW1eIB0k8UidNInF3dKJVYXGEYSBK/8jlA/YxJ/undDgGUJh5hBrZ6D1QViV+
 WUOT0rOusq7+AHlEvbVZaZAmxHKes1wuv03ePpF7LaXGOn2vhtgxf8zoVns/3KQOCT
 xrj+gI2AynUHLeHlnd0xKZk7z68usY3/BI8g+lRgP+Au/aKcarP2KSaTu3CGGQf7FH
 PXcs/vsnsm/LqqV8e2OmuiI1G0HirFKIpZ6u6b/pHWF2XcnMXTVEhOYev6RMIaaMX3
 e1HSh9h9XfaSw==
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <83iljcbh6f.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 14:06:32 +0200")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN> <83iljcbh6f.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 21:09:40 +0600
Message-ID: <87cz9kti2z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Akib Azmain Turja <akib@HIDDEN>
>> Cc: 59340 <at> debbugs.gnu.org
>> Date: Fri, 18 Nov 2022 17:39:11 +0600
>>=20
>> > Does this happen _after_ you build Emacs?  That is, you are saying
>> > that the *.eln files produced as part of the Emacs build were compiled
>> > successfully, but when you then start the Emacs you built, it is
>> > unable to perform any native compilation?
>>=20
>> Yes, Emacs builds fine.  The problem occurs at runtime.
>
> That is very strange, because we invoke libgccjit and Binutils during
> the build the same we do at run time.  Is this in "emacs -Q"?  If not,
> perhaps some of your customizations prevent Emacs from finding and/or
> invoking the JIT compiler?

I think this is not an Emacs bug really.  The Guix recipe I'm using
has some big problems (according to Guix philosophy), and probably does
some (black) magic that causes the build and run-time environment to be
different, thus the error.

However, why the crash?  Is it somehow because the old eln get loaded?

=2D-=20
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: akib@HIDDEN
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEyVTKmrtL6kNBe3FRVTX89U2IYWsFAmN3oDUACgkQVTX89U2I
YWvYAQ//VZgcqDFrkrvYOHQovfXSzPDwg4b607ABlIKKNvHptlwF77Q3ZcAOjPdz
Mf4B6RGdfI4o1Z/1zJPbf0uj6zYksI9xWHgJUHl25D4LtTPGm7zEkYo3PDbYXbou
il8e7WUO9jwGmq826sm+hB+CwGtrcPfB82mrygCq5lCO4yzCVfKCD0CsXiWl7yNA
4VEkPu/GEEBmBWuRpMyzGzMnJIzEzO67/dv7gkGo9SEKttzQhEdMTqcf3peTtHPj
5nhU6Zc1Th2I7VJjXXzYtjuB6kB8OT9D/ODWlXnaZO0F19qFImFPN7NBL6TgZiJI
rDPf+j+/qqCVECjEG2cIY/Nlq+WnZJd+IA5uloGKuvdYCRtRP+Xa1xYLKzWnAzHp
SwKHVRPmP70CLm5aIORkDmCCHlLUtgT6EBCzm8MrymzqjVynkGNTENtLTG8FRHGV
aBMOpl2tUMN6s0Khxam2D3jK602XtiQNS9Scg08/7Ia+GOZepWs7NpmLbOYESxTZ
jtb+92KnHUQjkzRtdtQyr3j+f+CsqoCekivDnj6g8cRbltD4nfVrNF0Z6cmNSo0U
DpSbSAXP6S+9NO3ETxBonJILXbCx6v1FJbsYABlEFk8FBa2Zi7O3x72fSHgo2yXU
ix1xTEv3LNwIMos6ZeSx7kvG76v2OOfXI++qqG67+vcRfqcUlgA=
=pmq1
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 18 Nov 2022 12:06:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:06:36 2022
Received: from localhost ([127.0.0.1]:35546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow08i-00032c-44
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:06:36 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow08h-00032Q-18
 for 59340 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:06:35 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow08b-0008V3-Qf; Fri, 18 Nov 2022 07:06:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=N22mRYL1VD/iPT5DwQ7A66OrKWaNHWVboZj7MHfBsyE=; b=g4H8Gv2NOAxt
 AQJrQhh92+mE0SKnRl9fLPyHBrKJn2vq/iRvCIPmF4vW8+mBwYBjxArDkzrvfaUd6XlS5RmyS2BMC
 bnHpviLB6EHeWbhGQJAqDYsJKQRrWX8k6nM6LfxjG3hJioxr5v+tcF7J6jpjt56jGM9GGdEIIAWSA
 6aLgD2mRc6YNhniaP1OcmmJRZJgHCLVfvG2MD6RplEITp4B8cfAc4CkiKpr7vB0eOpLVbfknGZi0J
 2Nf0ADWeChu0RVpy3FFUOtTEe2XMB0qrS6Q2aqKzEwz+jO3x6r2o2mlO1M2q5Dhbwir442JIOgJpe
 yBTUzNc+BcRqgIpqt4yzdg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow08b-00066l-4f; Fri, 18 Nov 2022 07:06:29 -0500
Date: Fri, 18 Nov 2022 14:06:32 +0200
Message-Id: <83iljcbh6f.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Akib Azmain Turja <akib@HIDDEN>
In-Reply-To: <87leo8wkyo.fsf@HIDDEN> (message from Akib Azmain Turja on
 Fri, 18 Nov 2022 17:39:11 +0600)
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <87leo8wkyo.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Akib Azmain Turja <akib@HIDDEN>
> Cc: 59340 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 17:39:11 +0600
> 
> > Does this happen _after_ you build Emacs?  That is, you are saying
> > that the *.eln files produced as part of the Emacs build were compiled
> > successfully, but when you then start the Emacs you built, it is
> > unable to perform any native compilation?
> 
> Yes, Emacs builds fine.  The problem occurs at runtime.

That is very strange, because we invoke libgccjit and Binutils during
the build the same we do at run time.  Is this in "emacs -Q"?  If not,
perhaps some of your customizations prevent Emacs from finding and/or
invoking the JIT compiler?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 18 Nov 2022 12:03:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:03:56 2022
Received: from localhost ([127.0.0.1]:35534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow067-0002xf-Vb
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:03:56 -0500
Received: from knopi.disroot.org ([178.21.23.139]:33676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akib@HIDDEN>) id 1ow066-0002xX-32
 for 59340 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:03:54 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7280540E57;
 Fri, 18 Nov 2022 13:03:53 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 0Yf8xPcE9maZ; Fri, 18 Nov 2022 13:03:52 +0100 (CET)
From: Akib Azmain Turja <akib@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1668773032; bh=dhD0pVKpGBxqh67ORitzqEddOVDs8KUJP8r5iJnw/nc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=Zhu+c/gHnFPjL3D9BA/S3zHGbafx70zXYC0lZ1C9Cn5JFP+WIVcZTE+B55rSzVqaR
 hG6D/4UtXfh51w6ytK6MeBd/BoHQCHBCzCv07NCocOiQxK39l5rDmBRjTu1yQZnKsS
 /TLYRXUtE4OVC6OtNciEp1TgZph5QUT6h/2mdAeC3qlnj13qMe7CuC8uzRMtWhNYb6
 Zqd5L8lTIA/zZaph+SO3P0/C+zNFGxa6zraer9e0EctUdsgeifkn+RBixoQF3pZquZ
 95pbASMRBalFGxxoxut1QjpxWgGGc/hdBDef9lcQW46OWQ9Z5QMPtDxY2DT+i94qVT
 XkmklGiJRDT9Q==
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <83h6yxcppr.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 17 Nov
 2022 22:04:32 +0200")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 17:39:11 +0600
Message-ID: <87leo8wkyo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Fri, 18 Nov 2022 01:08:36 +0600
>> From:  Akib Azmain Turja via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>>=20
>> I tried to upgrade to the commit
>> 1772d88c1fa811eee235ba9b8b7584bb000ac293 (made yesterday).  But after
>> installing it, I tried to run to and got various sorts of native
>> compilation errors.  I can at least use it the terminal, but starting
>> with EXWM makes it crash (I don't who is the culprit: EXWM or GTK+).
>>=20
>> This also happened to me before when I tried to upgrade, but I didn't do
>> anything, because I'm lazy.
>>=20
>> I have reverted to my old Emacs (this) after I encountered the bug.
>>=20
>> I clearly remember two things appearing repeatedly in the *Warning*
>> buffer (in terminal), the first one "libgccjit.so: error: error invoking
>> gcc driver", and second one "FILE: Error: Internal native compiler error
>> failed to compile."
>>=20
>> The *Async-native-compile-log* buffer says that ld can't find
>> crtbeginS.o, -lgcc, -lgcc_s and -lgcc_s again.  And the message again:
>> "libgccjit.so: error: error invoking gcc driver".
>
> Does this happen _after_ you build Emacs?  That is, you are saying
> that the *.eln files produced as part of the Emacs build were compiled
> successfully, but when you then start the Emacs you built, it is
> unable to perform any native compilation?

Yes, Emacs builds fine.  The problem occurs at runtime.

>
> In any case, I don't see it here.
>
> Could it be that there was some change in your GCC/Binutis/libgccjit
> installation in parallel with updating from the Emacs Git repository?
> That's what the error messages seem to convey.
>
>
>

=2D-=20
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: akib@HIDDEN
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEyVTKmrtL6kNBe3FRVTX89U2IYWsFAmN3buAACgkQVTX89U2I
YWsaUhAA3kZFoOHW03DEgC7MxxeV9by88t1eynctqiZhev4OV9/JB0rg1HG6SWFh
eCz55le0lW5T1wf8nDFup//i9VsA0/WcF0AicLggDKkmPE65lydEtCzep81ltSLm
gTTyg53V5CUWwf+PokekSeO7bD3QU6S73A5mnsquc1x/lJVzU/47Tkzrk/QfT4hM
Q01yBUOvVMNAgjdakTPJBuYnI1acqa42NNEJMmI26WQhxhyJcBPwsX7GD5Cjg/ja
1n/DwTHg+0rgcYYw0/1VFXSXiZ2nWUHAvpaZKdudixgYROt3GJOdKrUHcNZdfH6S
lHImeB8mBiluNUQEIwsNtHmQSjkM9NtJz0C53dwZwwirII1z+V6LVLv1TbHB38hd
bJQXnPStm5T8h6FXOr2SGw2VNoMO7675ErUw6yjR1IU3KOmooedHkv+QrshI4g9v
XLgOxq3pBmm25HRiV659WaFxOhKP3oC3BZioGJKHcHYz6SrSZ8bUvPNXd2Cisrrp
XvaQEjRdzBCDMZuK+K1wU+W5gQWAJt3wcDJIGoOORV3tc6aexS3AXQaqy5OprtZ2
Hr9uZhpKedG0NVgKvTEKGfWAkrA++eilWZdWxbRGtIBLbfWpl7g6uCOR63ojQM2Z
1n9R7J6ecQAxPBCNvHEf4I1kCOrK5wTM7WkKaJ6fFoOcbctOmsg=
=DRuN
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 18 Nov 2022 12:03:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:03:32 2022
Received: from localhost ([127.0.0.1]:35531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow05k-0002x5-GX
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:03:32 -0500
Received: from knopi.disroot.org ([178.21.23.139]:54152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akib@HIDDEN>) id 1ow05e-0002we-Vh
 for 59340 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:03:27 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id BA2EF41081;
 Fri, 18 Nov 2022 13:03:25 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id PIt0sjWuOdOp; Fri, 18 Nov 2022 13:03:24 +0100 (CET)
From: Akib Azmain Turja <akib@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1668773004; bh=qlr28Kwu8zt8ZzqdYL+dHB/iaciNdPor8HQCLXyqTnA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=UGNke3/0eV9wWnbb5iwrpIqoCy0oAtF9svpVoy+K0sTGh2uGHQNhDNmnG7HfHVL8n
 Kg0Qzux8XJZlk3ByfF4d4ivYZJuU7xQSGtsKKO9X/ViFFENLLU3LnV8iAmcygjDIB7
 TKQE9oJbwEqW0FqmyPo25SsMsz4X1PNyto0CEWumAnoRiNNgks+kUJ2pzt+OIu5l1l
 48J7oYkOM7W8YPwx0Xhrq+paG1BeglMGz6zUkenzcr+jvjSs98Yd87Rc5LUEnw+lsK
 4FWUARqgg+jsm5NRKSMIONd6G7E3ZcHr5AneG1qz3pVaZxgEiiL2XQeWOb0nLAvOXE
 54XLdT8/VKCrA==
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <xjfk03sd4bf.fsf@HIDDEN> (Andrea Corallo's message of "Fri,
 18 Nov 2022 09:01:24 +0000")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
 <xjfk03sd4bf.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 17:23:36 +0600
Message-ID: <87mt8o1p6v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59340
Cc: Eli Zaretskii <eliz@HIDDEN>, 59340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Andrea Corallo <akrl@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> Date: Fri, 18 Nov 2022 01:08:36 +0600
>>> From:  Akib Azmain Turja via "Bug reports for GNU Emacs,
>>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>>>=20
>>> I tried to upgrade to the commit
>>> 1772d88c1fa811eee235ba9b8b7584bb000ac293 (made yesterday).  But after
>>> installing it, I tried to run to and got various sorts of native
>>> compilation errors.  I can at least use it the terminal, but starting
>>> with EXWM makes it crash (I don't who is the culprit: EXWM or GTK+).
>>>=20
>>> This also happened to me before when I tried to upgrade, but I didn't do
>>> anything, because I'm lazy.
>>>=20
>>> I have reverted to my old Emacs (this) after I encountered the bug.
>>>=20
>>> I clearly remember two things appearing repeatedly in the *Warning*
>>> buffer (in terminal), the first one "libgccjit.so: error: error invoking
>>> gcc driver", and second one "FILE: Error: Internal native compiler error
>>> failed to compile."
>>>=20
>>> The *Async-native-compile-log* buffer says that ld can't find
>>> crtbeginS.o, -lgcc, -lgcc_s and -lgcc_s again.  And the message again:
>>> "libgccjit.so: error: error invoking gcc driver".
>>
>> Does this happen _after_ you build Emacs?  That is, you are saying
>> that the *.eln files produced as part of the Emacs build were compiled
>> successfully, but when you then start the Emacs you built, it is
>> unable to perform any native compilation?
>>
>> In any case, I don't see it here.
>>
>> Could it be that there was some change in your GCC/Binutis/libgccjit
>> installation in parallel with updating from the Emacs Git repository?
>> That's what the error messages seem to convey.
>
> Just to say it looks to me as well a library issue and not an Emacs one.
>
>   Andrea
>
>
>

Any tips to help me investigate it?

=2D-=20
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: akib@HIDDEN
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEyVTKmrtL6kNBe3FRVTX89U2IYWsFAmN3azkACgkQVTX89U2I
YWtXUhAAv5Vce3Yrc62WNi0aRf1/G7nQNXC2L1dPQU8ZVx0vGVbmce4avM+3O5wM
gR+iOnY7+8p23n/aN1uv8Pk6O3g21kk4xEWJbeDbAF+VgCd+wFmX8KC75JQK1MFW
wqxCB/d3Yx4MjxDpA0elJ7lq5LlB5LwVMCR9TYQzmEheFZjtqhdEJLswubhtVbnF
EcWcw7dpVijysgtNNiQE7xU/n3Mcyp2QdiJZ3DxbMVA+uwaa1gObwlkOGtmEPIm3
P1YmhCrrKGakgNKRTVB2JLmOYTCdBHjXaqTd6XSkjG9GGV5I17RFDm5yiDigX8zd
nhsG0xNO9a+/VWg0TXhP8nd8sLd0n9UFJukVvfot9Wx890LhaaR9/XU2xeEDtkcS
tVvY8XejdcIbsSQdV0dbn/JiFuffOwsPmgGB8QQon6nwYnmOr4u10AWpfaRht2Zn
6hHAYWXVGG7pjjabsZp0D7Udyv10gn0+e8M8IdK/rkYXZBcZPfVnOj3vXhbtY0Qj
ACP5sFq4vUorgsVlZ/XpBTAb0rKKIKF3fHGIIatE40IKO5JTpcybtYY5rgEYmVE4
hA3+FB7vtwlns+OMK6PQgvPkNQoWyJkAG66id1+fdb3vHw9r4DonDwZ8fkY9w4mA
CbfopYBJxz70+dyH0vwNGBhdDeWnI2dFl6uJ2mJ5U3vxPZbq2qw=
=lVuT
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 18 Nov 2022 09:01:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 04:01:31 2022
Received: from localhost ([127.0.0.1]:35247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovxFb-0006P1-Ca
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 04:01:31 -0500
Received: from mx.sdf.org ([205.166.94.24]:51234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1ovxFY-0006Or-NX
 for 59340 <at> debbugs.gnu.org; Fri, 18 Nov 2022 04:01:29 -0500
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 2AI91Oep027590
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Fri, 18 Nov 2022 09:01:27 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59340: 29.0.50; Latest Emacs from master gives various
 native compilation errors
In-Reply-To: <83h6yxcppr.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 17 Nov
 2022 22:04:32 +0200")
References: <87zgcptn4b.fsf@HIDDEN> <83h6yxcppr.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 09:01:24 +0000
Message-ID: <xjfk03sd4bf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org, Akib Azmain Turja <akib@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Fri, 18 Nov 2022 01:08:36 +0600
>> From:  Akib Azmain Turja via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>> 
>> I tried to upgrade to the commit
>> 1772d88c1fa811eee235ba9b8b7584bb000ac293 (made yesterday).  But after
>> installing it, I tried to run to and got various sorts of native
>> compilation errors.  I can at least use it the terminal, but starting
>> with EXWM makes it crash (I don't who is the culprit: EXWM or GTK+).
>> 
>> This also happened to me before when I tried to upgrade, but I didn't do
>> anything, because I'm lazy.
>> 
>> I have reverted to my old Emacs (this) after I encountered the bug.
>> 
>> I clearly remember two things appearing repeatedly in the *Warning*
>> buffer (in terminal), the first one "libgccjit.so: error: error invoking
>> gcc driver", and second one "FILE: Error: Internal native compiler error
>> failed to compile."
>> 
>> The *Async-native-compile-log* buffer says that ld can't find
>> crtbeginS.o, -lgcc, -lgcc_s and -lgcc_s again.  And the message again:
>> "libgccjit.so: error: error invoking gcc driver".
>
> Does this happen _after_ you build Emacs?  That is, you are saying
> that the *.eln files produced as part of the Emacs build were compiled
> successfully, but when you then start the Emacs you built, it is
> unable to perform any native compilation?
>
> In any case, I don't see it here.
>
> Could it be that there was some change in your GCC/Binutis/libgccjit
> installation in parallel with updating from the Emacs Git repository?
> That's what the error messages seem to convey.

Just to say it looks to me as well a library issue and not an Emacs one.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at 59340 <at> debbugs.gnu.org:


Received: (at 59340) by debbugs.gnu.org; 17 Nov 2022 20:04:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 15:04:42 2022
Received: from localhost ([127.0.0.1]:34457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovl7p-0002qb-P1
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 15:04:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ovl7n-0002qO-IG
 for 59340 <at> debbugs.gnu.org; Thu, 17 Nov 2022 15:04:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ovl7g-0002dH-GA; Thu, 17 Nov 2022 15:04:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=MDfz4vho74xXE9rY+cf8W6/8f3h6hCGpFPyfXTDrJoY=; b=AlSDtAlEu8Xw
 HzKKBKPeaisAi1PWqZeFaCc3WVQNRkgisepjq4aFfS3gvBhGtpcPP8rsCe96Aub1B/s+FYBLnkW9Q
 iyaVdXh6fgWK4LPbdaez7iTeVf6KoogQxyFbL/J55DILH8fOeNCkGXEtekqdZKS+KEOQvgwEnplSc
 ZQ21Gk/F1pVvH9VgLwBoimPXBHFoqm4rHwA295hT9mjF4EiA9Qc/JUPCylOof60DLg01mV9vu1kpS
 bcuzJmFggd4tn33ZAyYQI7x5Fe/vOifsg6IIXdnWcav8GwYMK04eGSNQmIq0oELBJNvYAJ/xwC52h
 FZ2cYqDn5XAo4bxMv/832w==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ovl7f-0001J9-7l; Thu, 17 Nov 2022 15:04:32 -0500
Date: Thu, 17 Nov 2022 22:04:32 +0200
Message-Id: <83h6yxcppr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Akib Azmain Turja <akib@HIDDEN>
In-Reply-To: <87zgcptn4b.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#59340: 29.0.50;
 Latest Emacs from master gives various native compilation errors
References: <87zgcptn4b.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59340
Cc: 59340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 18 Nov 2022 01:08:36 +0600
> From:  Akib Azmain Turja via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> I tried to upgrade to the commit
> 1772d88c1fa811eee235ba9b8b7584bb000ac293 (made yesterday).  But after
> installing it, I tried to run to and got various sorts of native
> compilation errors.  I can at least use it the terminal, but starting
> with EXWM makes it crash (I don't who is the culprit: EXWM or GTK+).
> 
> This also happened to me before when I tried to upgrade, but I didn't do
> anything, because I'm lazy.
> 
> I have reverted to my old Emacs (this) after I encountered the bug.
> 
> I clearly remember two things appearing repeatedly in the *Warning*
> buffer (in terminal), the first one "libgccjit.so: error: error invoking
> gcc driver", and second one "FILE: Error: Internal native compiler error
> failed to compile."
> 
> The *Async-native-compile-log* buffer says that ld can't find
> crtbeginS.o, -lgcc, -lgcc_s and -lgcc_s again.  And the message again:
> "libgccjit.so: error: error invoking gcc driver".

Does this happen _after_ you build Emacs?  That is, you are saying
that the *.eln files produced as part of the Emacs build were compiled
successfully, but when you then start the Emacs you built, it is
unable to perform any native compilation?

In any case, I don't see it here.

Could it be that there was some change in your GCC/Binutis/libgccjit
installation in parallel with updating from the Emacs Git repository?
That's what the error messages seem to convey.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Nov 2022 19:09:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 14:09:27 2022
Received: from localhost ([127.0.0.1]:34335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovkG7-0001Qk-Pq
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 14:09:26 -0500
Received: from lists.gnu.org ([209.51.188.17]:51890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akib@HIDDEN>) id 1ovkG3-0001QZ-Kd
 for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 14:09:10 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akib@HIDDEN>) id 1ovkG3-0001lH-GF
 for bug-gnu-emacs@HIDDEN; Thu, 17 Nov 2022 14:09:07 -0500
Received: from knopi.disroot.org ([178.21.23.139])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akib@HIDDEN>) id 1ovkG0-00004v-35
 for bug-gnu-emacs@HIDDEN; Thu, 17 Nov 2022 14:09:07 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id BD43C40A62
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Nov 2022 20:09:01 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id HHuPCwMd_KCz for <bug-gnu-emacs@HIDDEN>;
 Thu, 17 Nov 2022 20:08:59 +0100 (CET)
From: Akib Azmain Turja <akib@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1668712139; bh=kZCRvW4lplMUMYZd7T72eZfKhDRfL1uOpHemoiu2NnA=;
 h=From:To:Subject:Date:From;
 b=hZjaJAqIEKJFUibO/x8rXXVfio/q1e7snl1ZzkV4/bA/9/48Ntmi4wJpCiU5A+9Xb
 T2v9/Hnd8/Ir74OSnjf5kVOGMvONg9H1QO9MDvn20Z+qgBmTr4Tj1cXMaRAhRM73vJ
 gXYF49e1DujDGiRCqS0ibHpobJYWIhPjZRx9u61kvJHXnsy2e/y5qND2wtmdGz9vHY
 ek6hKvkJn29MzqUpEmFJAIHVX7tXXVJphs/JTaHvefwFMBK1HBH1+NHriD22ae0Nxi
 mW1WBzMzaoPsgVNgaoTmVFwB9mJ1Cy9NFfC51I2nMEs6fQdpYtYtC1SiHdjmkgxo9q
 tCFZ4uk8q1WjQ==
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Latest Emacs from master gives various native compilation
 errors
Date: Fri, 18 Nov 2022 01:08:36 +0600
Message-ID: <87zgcptn4b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=178.21.23.139; envelope-from=akib@HIDDEN;
 helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


This is written from Emacs compiled from the Git commit
686296b512cb43d031c8c48196a3d110492fcf08.

I tried to upgrade to the commit
1772d88c1fa811eee235ba9b8b7584bb000ac293 (made yesterday).  But after
installing it, I tried to run to and got various sorts of native
compilation errors.  I can at least use it the terminal, but starting
with EXWM makes it crash (I don't who is the culprit: EXWM or GTK+).

This also happened to me before when I tried to upgrade, but I didn't do
anything, because I'm lazy.

I have reverted to my old Emacs (this) after I encountered the bug.

I clearly remember two things appearing repeatedly in the *Warning*
buffer (in terminal), the first one "libgccjit.so: error: error invoking
gcc driver", and second one "FILE: Error: Internal native compiler error
failed to compile."

The *Async-native-compile-log* buffer says that ld can't find
crtbeginS.o, -lgcc, -lgcc_s and -lgcc_s again.  And the message again:
"libgccjit.so: error: error invoking gcc driver".

I have no idea what information would be helpful.  But this is easily
reproducible and I can run the new Emacs easily without bothering about
the installed one, thanks to Guix.  Please request whatever information
you need, I'll happily try to give you that.


In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, c=
airo version 1.16.0)
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Guix System

Configured using:
 'configure
 CONFIG_SHELL=3D/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.=
1.8/bin/bash
 SHELL=3D/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin=
/bash
 --prefix=3D/gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-=
1.686296b
 --enable-fast-install --with-native-compilation --with-sqlite3
 --with-xinput2 --with-xwidgets --with-modules --with-cairo
 --disable-build-details'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XINPUT2 XPM XWIDGETS GTK3
ZLIB

Important settings:
  value of $EMACSLOADPATH: /home/akib/.guix-profile/share/emacs/site-lisp:/=
gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sha=
re/emacs/29.0.50/lisp
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=3Dexwm-xim
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  shell-dirtrack-mode: t
  gnus-undo-mode: t
  lin-mode: t
  diff-hl-margin-mode: t
  diff-hl-flydiff-mode: t
  desktop-save-mode: t
  hl-line-mode: t
  gcmh-mode: t
  server-mode: t
  gtags-mode: t
  corfu-doc-mode: t
  corfu-history-mode: t
  global-corfu-mode: t
  corfu-mode: t
  global-anzu-mode: t
  anzu-mode: t
  isearch-mb-mode: t
  global-auto-revert-mode: t
  save-place-mode: t
  electric-pair-mode: t
  gc-buffers-mode: t
  which-key-mode: t
  marginalia-mode: t
  vertico-mode: t
  minibar-mode: t
  winner-mode: t
  workroom-winner-mode: t
  workroom-auto-project-workroom-mode: t
  workroom-desktop-save-mode: t
  workroom-mode: t
  savehist-mode: t
  recentf-mode: t
  shackle-mode: t
  blow-mode: t
  leaf-key-override-global-mode: t
  el-patch-use-package-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/akib/.config/emacs/elpa/transient-20221028.1430/transient hides /gnu/=
store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/e=
macs/29.0.50/lisp/transient
/home/akib/.config/emacs/elpa/jsonrpc-1.0.15.0.20220714.101331/jsonrpc hide=
s /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/=
share/emacs/29.0.50/lisp/jsonrpc
/home/akib/.config/emacs/elpa/flymake-1.2.2.0.20221026.210423/flymake hides=
 /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/s=
hare/emacs/29.0.50/lisp/progmodes/flymake
/home/akib/.config/emacs/elpa/xref-1.5.1.0.20221015.114321/xref hides /gnu/=
store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/e=
macs/29.0.50/lisp/progmodes/xref
/home/akib/.config/emacs/elpa/project-0.8.2.0.20221105.174557/project hides=
 /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/s=
hare/emacs/29.0.50/lisp/progmodes/project
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-desktop-notif=
ications hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.=
50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-desktop-notifications
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-speedbar hide=
s /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/=
share/emacs/29.0.50/lisp/erc/erc-speedbar
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-imenu hides /=
gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sha=
re/emacs/29.0.50/lisp/erc/erc-imenu
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-pcomplete hid=
es /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b=
/share/emacs/29.0.50/lisp/erc/erc-pcomplete
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-compat hides =
/gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sh=
are/emacs/29.0.50/lisp/erc/erc-compat
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-replace hides=
 /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/s=
hare/emacs/29.0.50/lisp/erc/erc-replace
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-notify hides =
/gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sh=
are/emacs/29.0.50/lisp/erc/erc-notify
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-stamp hides /=
gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sha=
re/emacs/29.0.50/lisp/erc/erc-stamp
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-capab hides /=
gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sha=
re/emacs/29.0.50/lisp/erc/erc-capab
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-lang hides /g=
nu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/shar=
e/emacs/29.0.50/lisp/erc/erc-lang
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc hides /gnu/st=
ore/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/ema=
cs/29.0.50/lisp/erc/erc
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-loaddefs hide=
s /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/=
share/emacs/29.0.50/lisp/erc/erc-loaddefs
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-match hides /=
gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sha=
re/emacs/29.0.50/lisp/erc/erc-match
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-list hides /g=
nu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/shar=
e/emacs/29.0.50/lisp/erc/erc-list
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-truncate hide=
s /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/=
share/emacs/29.0.50/lisp/erc/erc-truncate
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-services hide=
s /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/=
share/emacs/29.0.50/lisp/erc/erc-services
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-sound hides /=
gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sha=
re/emacs/29.0.50/lisp/erc/erc-sound
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-button hides =
/gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sh=
are/emacs/29.0.50/lisp/erc/erc-button
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-dcc hides /gn=
u/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share=
/emacs/29.0.50/lisp/erc/erc-dcc
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-page hides /g=
nu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/shar=
e/emacs/29.0.50/lisp/erc/erc-page
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-log hides /gn=
u/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share=
/emacs/29.0.50/lisp/erc/erc-log
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-goodies hides=
 /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/s=
hare/emacs/29.0.50/lisp/erc/erc-goodies
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-ezbounce hide=
s /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/=
share/emacs/29.0.50/lisp/erc/erc-ezbounce
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-menu hides /g=
nu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/shar=
e/emacs/29.0.50/lisp/erc/erc-menu
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-join hides /g=
nu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/shar=
e/emacs/29.0.50/lisp/erc/erc-join
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-xdcc hides /g=
nu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/shar=
e/emacs/29.0.50/lisp/erc/erc-xdcc
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-ibuffer hides=
 /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/s=
hare/emacs/29.0.50/lisp/erc/erc-ibuffer
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-status-sideba=
r hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.68=
6296b/share/emacs/29.0.50/lisp/erc/erc-status-sidebar
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-netsplit hide=
s /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/=
share/emacs/29.0.50/lisp/erc/erc-netsplit
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-spelling hide=
s /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/=
share/emacs/29.0.50/lisp/erc/erc-spelling
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-networks hide=
s /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/=
share/emacs/29.0.50/lisp/erc/erc-networks
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-autoaway hide=
s /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/=
share/emacs/29.0.50/lisp/erc/erc-autoaway
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-track hides /=
gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sha=
re/emacs/29.0.50/lisp/erc/erc-track
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-backend hides=
 /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/s=
hare/emacs/29.0.50/lisp/erc/erc-backend
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-ring hides /g=
nu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/shar=
e/emacs/29.0.50/lisp/erc/erc-ring
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-identd hides =
/gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/sh=
are/emacs/29.0.50/lisp/erc/erc-identd
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-fill hides /g=
nu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/shar=
e/emacs/29.0.50/lisp/erc/erc-fill
/home/akib/.config/emacs/elpa/eldoc-1.13.0.0.20221021.131008/eldoc hides /g=
nu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/shar=
e/emacs/29.0.50/lisp/emacs-lisp/eldoc
/home/akib/.config/emacs/elpa/seq-2.23.0.20210925.195432/seq hides /gnu/sto=
re/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emac=
s/29.0.50/lisp/emacs-lisp/seq

Features:
(shadow footnote iwindow sx emacsbug bug-reference magit-extras
magit-bookmark magit-submodule magit-obsolete magit-popup magit-blame
magit-stash magit-reflog magit-bisect magit-push magit-pull magit-fetch
magit-clone magit-remote magit-commit magit-sequence magit-notes
magit-worktree magit-tag magit-merge magit-branch magit-reset
magit-files magit-refs magit-status magit magit-repos magit-apply
magit-wip magit-log which-func magit-diff git-commit log-edit add-log
magit-core magit-autorevert magit-margin magit-transient magit-process
with-editor magit-mode magit-git magit-base magit-section compat-27
compat-26 flow-fill bbdb-mua bbdb-com crm bbdb bbdb-site gnus-cite
mm-archive mail-extr textsec uni-scripts idna-mapping ucs-normalize
uni-confusable textsec-check gnus-async gnus-bcklg sort gnus-ml nndraft
nnmh gnus-search eieio-opt speedbar ezimage dframe qp nnmaildir nnfolder
nnnil gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg nntp
gnus-cache shell elisp-demos epa-file network-stream nsm smtpmail
helpful cc-langs edebug debug backtrace f f-shortdoc shortdoc elisp-refs
s dash dmenu net-utils misearch multi-isearch mode-line-bell orderless
info-colors mule-util plstore smerge-mode whitespace org-fragtog
org-inline-anim org-element avl-tree ol-eww eww xdg url-queue mm-url
ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect gnus-registry registry
eieio-base gnus-art mm-uu mml2015 mm-view mml-smime smime gnutls dig
gnus-sum shr pixel-fill kinsoku url-file svg dom gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7 nnoo
parse-time gnus-spec gnus-win gnus-int gnus-range message sendmail
yank-media puny rfc822 mml mml-sec epa derived epg rfc6068 epg-config
mm-decode mm-bodies mm-encode mailabbrev gmm-utils mailheader gnus
nnheader gnus-util mail-utils range ol-docview ol-bibtex ol-bbdb ol-w3m
ol-doi org-link-doi org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete pcomplete
org-list org-faces org-entities org-version ob-emacs-lisp ob-core
ob-eval org-table oc-basic bibtex iso8601 ol org-keys oc org-compat
org-macs org-loaddefs cal-menu calendar cal-loaddefs dired-aux vc-hg
vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs diredfl lin face-remap
flymake-cc macrostep-c cmacexp macrostep cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs doc-view
jka-compr image-mode exif markdown-mode edit-indirect battery dbus xml
mb-depth flyspell ispell texinfo texinfo-loaddefs goto-addr geiser-mode
geiser-xref geiser-compile geiser-guile info-look geiser geiser-debug
transient format-spec geiser-repl geiser-image geiser-capf geiser-doc
geiser-menu geiser-autodoc geiser-edit etags fileloop generator
geiser-completion geiser-eval geiser-connection tq geiser-syntax
geiser-log geiser-popup view scheme noutline outline mail-parse rfc2231
rfc2047 rfc2045 mm-util ietf-drums mail-prsvr hi-lock vc-git
diff-hl-margin diff-hl-dired dired dired-loaddefs diff-hl-flydiff diff
diff-hl log-view pcvs-util vc-dir ewoc vc vc-dispatcher diff-mode
why-this color timezone desktop frameset pinentry package-lint-flymake
package-lint let-alist imenu finder find-func highlight-defined paredit
highlight-quoted aggressive-indent display-line-numbers
display-fill-column-indicator ws-butler highlight-numbers parent-mode
highlight-thing rainbow-delimiters hl-todo compat compat-macs hl-line
flymake-popon posframe popon checkdoc lisp-mnt flymake-proc flymake
compile comint ansi-color modus-vivendi-theme modus-themes gcmh init
time-date comp comp-cstr warnings exwm-xim xcb-xim xcb-xlib exwm-randr
xcb-randr exwm exwm-input xcb-keysyms xcb-xkb exwm-manage exwm-floating
xcb-cursor xcb-render exwm-layout exwm-workspace exwm-core xcb-ewmh
xcb-icccm xcb xcb-xproto xcb-types xcb-debug server auth-source-pass
gtags-mode files-x xref corfu-doc corfu-history corfu anzu advice
thingatpt isearch-mb autorevert filenotify saveplace elec-pair
gc-buffers which-key marginalia vertico minibar winner workroom project
bookmark text-property-search disp-table savehist recentf tree-widget
shackle trace blow pcase edmacro kmacro cl-extra cus-edit pp cus-load
icons wid-edit leaf finder-inf vterm-autoloads guix-emacs
aggressive-indent-autoloads anzu-autoloads blow-autoloads
camera-autoloads cape-autoloads chess-autoloads closql-autoloads
consult-notmuch-autoloads consult-org-roam-autoloads
consult-project-extra-autoloads corfu-doc-terminal-autoloads
corfu-terminal-autoloads corfu-autoloads coterm-autoloads cov-autoloads
coverage-autoloads coverlay-autoloads crux-autoloads ctrlf-autoloads
easy-mmode devhelp-autoloads diff-hl-autoloads disk-usage-autoloads
doom-modeline-autoloads doom-themes-autoloads eat-autoloads
ef-themes-autoloads eglot-ccls-autoloads eglot-autoloads el-patch
el-patch-stub elisp-demos-autoloads elpher-autoloads elquery-autoloads
embark-consult-autoloads consult-autoloads embark-autoloads
ement-autoloads emms-autoloads erc-autoloads
eshell-syntax-highlighting-autoloads exercism-autoloads
async-await-autoloads async-autoloads a-autoloads exwm-autoloads
flymake-popon-autoloads flymake-autoloads eldoc-autoloads
gc-buffers-autoloads geiser-guile-autoloads geiser-impl help-fns
radix-tree help-mode geiser-custom geiser-base ring ghub-autoloads
gnuplot-autoloads rx hare-mode-autoloads helpful-autoloads
hl-todo-autoloads htmlize-autoloads info-colors-autoloads
insecure-lock-autoloads isearch-mb-autoloads iter2-autoloads
iwindow-autoloads keycast-autoloads kind-icon-autoloads leaf-autoloads
ligature-autoloads lin-autoloads geiser-autoloads macrostep-autoloads
magit-autoloads git-commit-autoloads marginalia-autoloads
mastodon-autoloads meow-autoloads minibar-autoloads
modus-themes-autoloads mood-line-autoloads mood-one-theme-autoloads
moody-autoloads multiple-cursors-autoloads notmuch-autoloads
nov-autoloads nubox-autoloads orderless-autoloads org-roam-ui-autoloads
org-roam-autoloads emacsql-sqlite-autoloads emacsql-autoloads
osm-autoloads ov-autoloads package-lint-autoloads paredit-autoloads
password-store-autoloads persist-autoloads plz-autoloads popon-autoloads
posframe-autoloads promise-autoloads quelpa-autoloads relint-autoloads
request-autoloads setup-autoloads shrink-path-autoloads f-autoloads
svg-lib-autoloads sx-autoloads markdown-mode-autoloads
taxy-magit-section-autoloads taxy-autoloads magit-section-autoloads
testcover-mark-line-autoloads transient-autoloads treepy-autoloads
ts-autoloads s-autoloads undercover-autoloads shut-up-autoloads
dash-autoloads vertico-autoloads which-key-autoloads why-this-autoloads
with-editor-autoloads compat-autoloads info workroom-autoloads
project-autoloads xr-autoloads xref-autoloads package browse-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x
map byte-opt gv bytecomp byte-compile cconv url-vars cl-loaddefs cl-lib
rmc iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice seq
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads xwidget-internal dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit xinput2 x multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 1740168 334679)
 (symbols 48 80210 25)
 (strings 32 614797 82610)
 (string-bytes 1 31736325)
 (vectors 16 301245)
 (vector-slots 8 5150080 664274)
 (floats 8 1543 5136)
 (intervals 56 28322 11572)
 (buffers 992 104))

=2D-=20
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: akib@HIDDEN
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEyVTKmrtL6kNBe3FRVTX89U2IYWsFAmN2hrQACgkQVTX89U2I
YWvDmQ/+JgUmULvKiwjP5EL9KsYXexQg0k7cKF1XPk4axdydpgXKa8Sfouwyl2bN
JlQQb8tWdp5XRkbtSH6Y1+JGczZ+YZI6PHzSUSd1nLZ/grgNkHf7YyHxy7xTxmBy
g4OhoJ1BEuyEZM3LpCf3Twe3WbZlcvvSK9ovVRlGD0v+t6JB6haZnAl/cM3fHyzH
verKSY5XCZcjybr+I+3P0miZKMwQIWkCuX0oO9yBPuWypZl9m+kqPu/t0/c9xaiY
EAYGivnxASLGa8tEOc0hVWO0yPI7Z+uvdxF2l4V0kHfcCIBjoQ8dYFClW7/g8aOO
Wj2zAD9BTP0w5hqldULUI61fB0ivktuX3N4Egf4yOOVhddzPiIkpEA66y5vMr/X+
guSuwAxAZ57CwJ1+fzShjgE+C9XkX0VhqWjTPx5TF/PlFJLvhS5XMKO5TISv4CiC
ioCHIEcfYPGU6tmXcrzT5nQ85OyzOCUbwmAFApQgDgw+/BNk7DcfjZ8TOcSFfNJQ
UtZ7psWvU7MnV8DgJitLevlwjR1QuZWQiOjXZnrl1jbvbVPahfDv7QyQUOjxo9TP
wHOn/QFQQ6TeEcuvWvDbXgyxMP2vMGrNsFpjSIWEOWOOSYZx+NJK4ddsQWksDWxb
DanhU+Ta908eJ+8ocjIcSpHCldMiQR1bszewCxp6EAtmjf8zFqA=
=t+4L
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Akib Azmain Turja <akib@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59340; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 24 Nov 2022 18:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.